package com.quinn.common;

import org.springframework.util.StringUtils;

/**
 * 排名不分先后，篮球迷勿喷
 */
public enum RoleType {
    /**
     * 管理员
     */
    ADMIN("KOBE"),
    /**
     * VIP
     */
    VIP("VIP"),
    /**
     * 普通用户
     */
    NORMAL("NORMAL");

    String name;

    RoleType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    /**
     * 数据库存的权限是 KOBE VIP NORMAL
     * @param name
     * @return
     */
    public static RoleType parse(String name){
        if (!StringUtils.isEmpty(name)){
            if (ADMIN.getName().equals(name)){
                return RoleType.ADMIN;
            }
            if (VIP.getName().equals(name)){
                return RoleType.VIP;
            }
        }
        return RoleType.NORMAL;
    }

}
